%{!?__pear: %{expand: %%global __pear %{_bindir}/pear}}
%define pear_name Pager

Name:           php-pear-Pager
Version:        2.4.8
Release:        1%{?dist}
Summary:        Data paging class

Group:          Development/Libraries
License:        BSD
URL:            http://pear.php.net/package/Pager
Source0:        http://pear.php.net/get/%{pear_name}-%{version}.tgz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  php-pear >= 1:1.4.9-1.2
Requires:       php-pear(PEAR)
Requires(post): %{__pear}
Requires(postun): %{__pear}
Provides:       php-pear(%{pear_name}) = %{version}

%description
It takes an array of data as input and pages it according to various
parameters. It also builds links within a specified range, and allows
complete customization of the output (it even works with front controllers
and mod_rewrite). Two operating modes available: "Jumping" and "Sliding"
window style.


%prep
%setup -qc
[ -f package2.xml ] || mv package.xml package2.xml
mv package2.xml %{pear_name}-%{version}/%{pear_name}.xml
cd %{pear_name}-%{version}


%build
cd %{pear_name}-%{version}
# Empty build section, most likely nothing required.


%install
cd %{pear_name}-%{version}
rm -rf $RPM_BUILD_ROOT docdir
%{__pear} install --nodeps --packagingroot $RPM_BUILD_ROOT %{pear_name}.xml

# Move documentation
mkdir -p docdir
mv $RPM_BUILD_ROOT%{pear_docdir}/* docdir

# Clean up unnecessary files
rm -rf $RPM_BUILD_ROOT%{pear_phpdir}/.??*

# Install XML package description
install -d $RPM_BUILD_ROOT%{pear_xmldir}
install -pm 644 %{pear_name}.xml $RPM_BUILD_ROOT%{pear_xmldir}

# Fix rpmlint warning
sed -i 's/\r//' docdir/%{pear_name}/examples/example.php

%clean
rm -rf $RPM_BUILD_ROOT


%post
%{__pear} install --nodeps --soft --force --register-only \
    %{pear_xmldir}/%{pear_name}.xml >/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    %{__pear} uninstall --nodeps --ignore-errors --register-only \
        %{pear_name} >/dev/null || :
fi


%files
%defattr(-,root,root,-)
%doc %{pear_name}-%{version}/docdir/%{pear_name}/*
%{pear_xmldir}/%{pear_name}.xml
%{pear_testdir}/%{pear_name}
%{pear_phpdir}/%{pear_name}*


%changelog
* Wed Sep 09 2009 Christopher Stone <chris.stone@gmail.com> 2.4.8-1
- Upstream sync

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Sep 12 2008 Christopher Stone <chris.stone@gmail.com> 2.4.7-1
- Upstream sync

* Thu May 22 2008 Christopher Stone <chris.stone@gmail.com> 2.4.6-1
- Upstream sync

* Sat Sep  8 2007 Christopher Stone <chris.stone@gmail.com> 2.4.4-1
- Upstream sync

* Sun Dec 03 2006 Christopher Stone <chris.stone@gmail.com> 2.4.3-1
- Upstream sync
- use sed instead of dos2unix

* Sun Oct 29 2006 Christopher Stone <chris.stone@gmail.com> 2.4.2-1
- Initial release
